--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "This module contains graphics primitives. Objects that include this module must respond to #add_content."
- !ruby/struct:SM::Flow::P 
  body: The PDF::Writer coordinate system is in PDF userspace units. The coordinate system in PDF::Writer is slightly different than might be expected, in that <tt>(0, 0)</tt> is at the lower left-hand corner of the canvas (page), not the normal top left-hand corner of the canvas. (See the diagram below.)
- !ruby/struct:SM::Flow::VERB 
  body: "    Y     Y\n   0+-----+X\n    |     |\n    |     |\n    |     |\n   0+-----+X\n    0     0\n"
- !ruby/struct:SM::Flow::P 
  body: "Each primitive provided below indicates the <em>New Point</em>, or the coordinates new drawing point at the completion of the drawing operation. Drawing operations themselves do <b>not</b> draw or fill the path. This must be done by one of the stroke or fill operators, #stroke, #close_stroke, #fill, #close_fill, #fill_stroke, or #close_fill_stroke."
- !ruby/struct:SM::Flow::P 
  body: Drawing operations return <tt>self</tt> (the canvas) so that operations may be chained.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: This constant is used to approximate a symmetrical arc using a cubic Bezier curve.
  name: KAPPA
  value: 4.0 * ((Math.sqrt(2) - 1.0) / 3.0)
full_name: PDF::Writer::Graphics
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_image
- !ruby/object:RI::MethodSummary 
  name: add_image_from_file
- !ruby/object:RI::MethodSummary 
  name: circle_at
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: close_fill
- !ruby/object:RI::MethodSummary 
  name: close_fill_stroke
- !ruby/object:RI::MethodSummary 
  name: close_stroke
- !ruby/object:RI::MethodSummary 
  name: curve
- !ruby/object:RI::MethodSummary 
  name: curve_to
- !ruby/object:RI::MethodSummary 
  name: ecurve
- !ruby/object:RI::MethodSummary 
  name: ecurve_to
- !ruby/object:RI::MethodSummary 
  name: ellipse2_at
- !ruby/object:RI::MethodSummary 
  name: ellipse_at
- !ruby/object:RI::MethodSummary 
  name: fill
- !ruby/object:RI::MethodSummary 
  name: fill_color
- !ruby/object:RI::MethodSummary 
  name: fill_color!
- !ruby/object:RI::MethodSummary 
  name: fill_color?
- !ruby/object:RI::MethodSummary 
  name: fill_stroke
- !ruby/object:RI::MethodSummary 
  name: image
- !ruby/object:RI::MethodSummary 
  name: line
- !ruby/object:RI::MethodSummary 
  name: line_to
- !ruby/object:RI::MethodSummary 
  name: move_to
- !ruby/object:RI::MethodSummary 
  name: polygon
- !ruby/object:RI::MethodSummary 
  name: rectangle
- !ruby/object:RI::MethodSummary 
  name: rotate_axis
- !ruby/object:RI::MethodSummary 
  name: rounded_rectangle
- !ruby/object:RI::MethodSummary 
  name: scale_axis
- !ruby/object:RI::MethodSummary 
  name: scurve
- !ruby/object:RI::MethodSummary 
  name: scurve_to
- !ruby/object:RI::MethodSummary 
  name: segment_at
- !ruby/object:RI::MethodSummary 
  name: skew_axis
- !ruby/object:RI::MethodSummary 
  name: star
- !ruby/object:RI::MethodSummary 
  name: stroke
- !ruby/object:RI::MethodSummary 
  name: stroke_color
- !ruby/object:RI::MethodSummary 
  name: stroke_color!
- !ruby/object:RI::MethodSummary 
  name: stroke_color?
- !ruby/object:RI::MethodSummary 
  name: stroke_style
- !ruby/object:RI::MethodSummary 
  name: stroke_style!
- !ruby/object:RI::MethodSummary 
  name: stroke_style?
- !ruby/object:RI::MethodSummary 
  name: text_render_style
- !ruby/object:RI::MethodSummary 
  name: text_render_style!
- !ruby/object:RI::MethodSummary 
  name: text_render_style?
- !ruby/object:RI::MethodSummary 
  name: transform_matrix
- !ruby/object:RI::MethodSummary 
  name: translate_axis
name: Graphics
superclass: 
